Package: org.grails.gradle.plugin.publishing

## [Groovy] Class License

- org.grails.gradle.plugin.publishing.GrailsPublishExtension.License

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static GrailsPublishExtension.License` | `AGPL`
    `static GrailsPublishExtension.License` | `APACHE2`
    `static GrailsPublishExtension.License` | `BSD`
    `static GrailsPublishExtension.License` | `CPL`
    `static GrailsPublishExtension.License` | `EPL1`
    `static GrailsPublishExtension.License` | `GPL`
    `static GrailsPublishExtension.License` | `LGPL`
    `static GrailsPublishExtension.License` | `LGPL21`
    `static java.util.Map<java.lang.String, License>` | `LICENSES`
    `static GrailsPublishExtension.License` | `MIT`
    `java.lang.String` | `distribution`
    `java.lang.String` | `name`
    `java.lang.String` | `url`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final GrailsPublishExtension.License AGPL

    - #### static final GrailsPublishExtension.License APACHE2

    - #### static final GrailsPublishExtension.License BSD

    - #### static final GrailsPublishExtension.License CPL

    - #### static final GrailsPublishExtension.License EPL1

    - #### static final GrailsPublishExtension.License GPL

    - #### static final GrailsPublishExtension.License LGPL

    - #### static final GrailsPublishExtension.License LGPL21

    - #### static final java.util.Map<java.lang.String, License> LICENSES

    - #### static final GrailsPublishExtension.License MIT

    - #### java.lang.String distribution

    - #### java.lang.String name

    - #### java.lang.String url